{
  "name": "repod",
  "license": "AGPL-3.0-or-later",
  "type": "module",
  "scripts": {
    "build": "vite build",
    "dev": "vite --mode development build",
    "lint": "vue-tsc && eslint src",
    "lint:fix": "vue-tsc && eslint src --fix",
    "stylelint": "stylelint src/**/*.vue src/**/*.scss src/**/*.css",
    "stylelint:fix": "stylelint src/**/*.vue src/**/*.scss src/**/*.css --fix",
    "watch": "vite --mode development build --watch"
  },
  "browserslist": [
    "extends @nextcloud/browserslist-config"
  ],
  "prettier": "@nextcloud/prettier-config",
  "dependencies": {
    "@formatjs/intl-segmenter": "^11.7.8",
    "@nextcloud/axios": "^2.5.1",
    "@nextcloud/initial-state": "^2.2.0",
    "@nextcloud/l10n": "^3.1.0",
    "@nextcloud/router": "^3.0.1",
    "@nextcloud/vite-config": "^2.3.0",
    "@nextcloud/vue": "9.0.0-alpha.5",
    "dompurify": "^3.2.3",
    "linkify-html": "^4.2.0",
    "pinia": "^2.3.0",
    "toastify-js": "^1.12.0",
    "vite": "~5.4.11",
    "vue": "^3.5.13",
    "vue-material-design-icons": "^5.3.1",
    "vue-router": "^4.5.0"
  },
  "devDependencies": {
    "@nextcloud/browserslist-config": "^3.0.1",
    "@nextcloud/eslint-config": "^8.4.1",
    "@nextcloud/prettier-config": "^1.1.0",
    "@nextcloud/stylelint-config": "^3.0.1",
    "@types/toastify-js": "^1.12.3",
    "@vue/tsconfig": "^0.7.0",
    "eslint-config-prettier": "^9.1.0",
    "eslint-plugin-pinia": "^0.4.1",
    "eslint-plugin-prettier": "^5.2.1",
    "typescript": "~5.5.4",
    "vue-tsc": "^2.2.0"
  }
}
